All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Portal |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.portal.portlet
Class DefaultPortletAction

    com.sas.portal.portlet.DefaultPortletAction

All Implemented Interfaces:
  PortletActionInterface, java.io.Serializable

Direct Known Subclasses:
  HTMLPortletAction

    public class DefaultPortletAction

implements PortletActionInterface

This action is the default portlet action for portlets. The `service()` method can be overridden to set properties on the response, such as `response.setContentType("text/html;charset=UTF-8")`to allow non-Latin1 languages render via UTF-8. It also allows you to set and retrieve an instance of PortletActionInfoInterface.``

See Also:
  Serialized Form

Field Summary
`protected com.sas.portal.container.deployment.PortletActionInfoInterface` | `_actionInfo`

Constructor Summary
`DefaultPortletAction()`

Method Summary
`com.sas.portal.container.deployment.PortletActionInfoInterface` | `getInfo()` Gets the deployment descriptor metadata corresponding to this concrete action instance.
`java.lang.String` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, PortletContext context)` Integration point for portlet actions.
`void` | `setInfo(com.sas.portal.container.deployment.PortletActionInfoInterface info)` Sets the PortletActionInfoInterface for the given PortletAction.

Field Detail

### _actionInfo

    protected com.sas.portal.container.deployment.PortletActionInfoInterface _actionInfo

Constructor Detail

### DefaultPortletAction

    public DefaultPortletAction()

Method Detail

### service

    public java.lang.String service(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response,
                                    PortletContext context)
                             throws java.lang.Exception

  Integration point for portlet actions. In this class, this method returns null.

  Specified by:
    `service` in interface `PortletActionInterface`
  Parameters:
    `request` - The HtppServletRequest associated with the method invocation
    `response` - HttpServletResponse associated with the method invocation
    `context` - PortletContext mapped to the request path
  Returns:
    `java.lang.String` - representing a valid URL.
  Throws:
    `java.lang.Exception` - if anything went wrong
  See Also:
    `PortletActionInterface.service(HttpServletRequest, HttpServletResponse, PortletContext)`

### setInfo

    public void setInfo(com.sas.portal.container.deployment.PortletActionInfoInterface info)

  Sets the PortletActionInfoInterface for the given PortletAction. This allows each concrete portlet action class to have a reference to its deployment descriptor metadata.

  Specified by:
    `setInfo` in interface `PortletActionInterface`
  Parameters:
    `info` - the PortletActionInfoInterface to set
  See Also:
    `PortletActionInterface.setInfo(com.sas.portal.container.deployment.PortletActionInfoInterface)`

### getInfo

    public com.sas.portal.container.deployment.PortletActionInfoInterface getInfo()

  Gets the deployment descriptor metadata corresponding to this concrete action instance.

  Specified by:
    `getInfo` in interface `PortletActionInterface`
  Returns:
    PortletActionInfoInterface - deployment descriptor metadata
  See Also:
    `PortletActionInterface.getInfo()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Portal |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.